"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Author = void 0;
var core_1 = require("@mikro-orm/core");
var uuid_1 = require("uuid");
var book_1 = require("./book");
var Author = /** @class */ (function () {
    function Author() {
        this.id = uuid_1.v4();
    }
    __decorate([
        core_1.PrimaryKey(),
        __metadata("design:type", String)
    ], Author.prototype, "id", void 0);
    __decorate([
        core_1.Property({
            length: 255,
            name: 'first_name',
        }),
        __metadata("design:type", String)
    ], Author.prototype, "firstName", void 0);
    __decorate([
        core_1.Property({
            length: 255,
            name: 'last_name',
        }),
        __metadata("design:type", String)
    ], Author.prototype, "lastName", void 0);
    __decorate([
        core_1.ManyToMany({ entity: function () { return book_1.Book; } }),
        __metadata("design:type", Array)
    ], Author.prototype, "books", void 0);
    Author = __decorate([
        core_1.Entity()
    ], Author);
    return Author;
}());
exports.Author = Author;
