import { Author } from '../entities/author';
import { EntityFactory } from '../../../entity-factory';
export declare class AuthorFactory extends EntityFactory<Author> {
    /**
     * @inheritdoc
     * Create an Author with default parameters
     * @returns an stubbed Author
     */
    make(): Promise<Author>;
}
