import { EntityFactory } from '../../../entity-factory';
import { Book } from '../entities/book';
export declare class BookFactory extends EntityFactory<Book> {
    /**
     * @inheritdoc
     * Create a Book with default parameters
     * @returns a stubbed Book
     */
    make(): Promise<Book>;
}
